/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecAsn1Templates;

import dstep.security.SecAsn1Types;

extern (C)
{
	extern
	{
		const SecAsn1Template* kSecAsn1AnyTemplate;
		const SecAsn1Template* kSecAsn1BitStringTemplate;
		const SecAsn1Template* kSecAsn1BMPStringTemplate;
		const SecAsn1Template* kSecAsn1BooleanTemplate;
		const SecAsn1Template* kSecAsn1EnumeratedTemplate;
		const SecAsn1Template* kSecAsn1GeneralizedTimeTemplate;
		const SecAsn1Template* kSecAsn1IA5StringTemplate;
		const SecAsn1Template* kSecAsn1IntegerTemplate;
		const SecAsn1Template* kSecAsn1UnsignedIntegerTemplate;
		const SecAsn1Template* kSecAsn1NullTemplate;
		const SecAsn1Template* kSecAsn1ObjectIDTemplate;
		const SecAsn1Template* kSecAsn1OctetStringTemplate;
		const SecAsn1Template* kSecAsn1PrintableStringTemplate;
		const SecAsn1Template* kSecAsn1T61StringTemplate;
		const SecAsn1Template* kSecAsn1UniversalStringTemplate;
		const SecAsn1Template* kSecAsn1UTCTimeTemplate;
		const SecAsn1Template* kSecAsn1UTF8StringTemplate;
		const SecAsn1Template* kSecAsn1VisibleStringTemplate;
		const SecAsn1Template* kSecAsn1TeletexStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToAnyTemplate;
		const SecAsn1Template* kSecAsn1PointerToBitStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToBMPStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToBooleanTemplate;
		const SecAsn1Template* kSecAsn1PointerToEnumeratedTemplate;
		const SecAsn1Template* kSecAsn1PointerToGeneralizedTimeTemplate;
		const SecAsn1Template* kSecAsn1PointerToIA5StringTemplate;
		const SecAsn1Template* kSecAsn1PointerToIntegerTemplate;
		const SecAsn1Template* kSecAsn1PointerToNullTemplate;
		const SecAsn1Template* kSecAsn1PointerToObjectIDTemplate;
		const SecAsn1Template* kSecAsn1PointerToOctetStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToPrintableStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToT61StringTemplate;
		const SecAsn1Template* kSecAsn1PointerToUniversalStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToUTCTimeTemplate;
		const SecAsn1Template* kSecAsn1PointerToUTF8StringTemplate;
		const SecAsn1Template* kSecAsn1PointerToVisibleStringTemplate;
		const SecAsn1Template* kSecAsn1PointerToTeletexStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfAnyTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfBitStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfBMPStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfBooleanTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfEnumeratedTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfGeneralizedTimeTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfIA5StringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfIntegerTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfNullTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfObjectIDTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfOctetStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfPrintableStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfT61StringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfUniversalStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfUTCTimeTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfUTF8StringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfVisibleStringTemplate;
		const SecAsn1Template* kSecAsn1SequenceOfTeletexStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfAnyTemplate;
		const SecAsn1Template* kSecAsn1SetOfBitStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfBMPStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfBooleanTemplate;
		const SecAsn1Template* kSecAsn1SetOfEnumeratedTemplate;
		const SecAsn1Template* kSecAsn1SetOfGeneralizedTimeTemplate;
		const SecAsn1Template* kSecAsn1SetOfIA5StringTemplate;
		const SecAsn1Template* kSecAsn1SetOfIntegerTemplate;
		const SecAsn1Template* kSecAsn1SetOfNullTemplate;
		const SecAsn1Template* kSecAsn1SetOfObjectIDTemplate;
		const SecAsn1Template* kSecAsn1SetOfOctetStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfPrintableStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfT61StringTemplate;
		const SecAsn1Template* kSecAsn1SetOfUniversalStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfUTCTimeTemplate;
		const SecAsn1Template* kSecAsn1SetOfUTF8StringTemplate;
		const SecAsn1Template* kSecAsn1SetOfVisibleStringTemplate;
		const SecAsn1Template* kSecAsn1SetOfTeletexStringTemplate;
		const SecAsn1Template* kSecAsn1SkipTemplate;
	}
}

