/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecACL;

import dstep.corefoundation.CoreFoundation;
import dstep.security.SecBase;
import dstep.security.cssmapple;
import dstep.security.cssmtype;

extern (C)
{
	uint SecACLGetTypeID ();
	int SecACLCreateFromSimpleContents (SecAccessRef access, CFArrayRef applicationList, CFStringRef description, CSSM_ACL_KEYCHAIN_PROMPT_SELECTOR* promptSelector, SecACLRef* newAcl);
	int SecACLRemove (SecACLRef aclRef);
	int SecACLCopySimpleContents (SecACLRef acl, CFArrayRef* applicationList, CFStringRef* description, CSSM_ACL_KEYCHAIN_PROMPT_SELECTOR* promptSelector);
	int SecACLSetSimpleContents (SecACLRef acl, CFArrayRef applicationList, CFStringRef description, CSSM_ACL_KEYCHAIN_PROMPT_SELECTOR* promptSelector);
	int SecACLGetAuthorizations (SecACLRef acl, CSSM_ACL_AUTHORIZATION_TAG* tags, uint* tagCount);
	int SecACLSetAuthorizations (SecACLRef acl, CSSM_ACL_AUTHORIZATION_TAG* tags, uint tagCount);
}